#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x787619be, "module_layout" },
	{ 0x5a124d04, "netdev_info" },
	{ 0x6bf1b3f9, "kmalloc_caches" },
	{ 0xfb43ff22, "register_candev" },
	{ 0xe6efab43, "alloc_can_err_skb" },
	{ 0x16081ffb, "can_dlc2len" },
	{ 0xf73bc651, "netif_carrier_on" },
	{ 0xe0893399, "__rt_mutex_init" },
	{ 0xfc898327, "netif_carrier_off" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x27a5a809, "__dynamic_netdev_dbg" },
	{ 0x8d6f75c4, "rt_spin_lock" },
	{ 0x6ced00d4, "rt_spin_unlock" },
	{ 0xc5747d23, "usb_unanchor_urb" },
	{ 0x7f52fa6d, "can_bus_off" },
	{ 0x45a959d0, "netif_rx" },
	{ 0xfb52742b, "__init_waitqueue_head" },
	{ 0x88ac139, "_dev_warn" },
	{ 0x9574c7c8, "close_candev" },
	{ 0x10cba0a5, "netif_tx_wake_queue" },
	{ 0xc5f7fabc, "usb_deregister" },
	{ 0xc5850110, "printk" },
	{ 0xd2ea3a5, "alloc_candev_mqs" },
	{ 0x8beddccd, "free_candev" },
	{ 0x58a168ef, "usb_free_coherent" },
	{ 0xc7d567bb, "_dev_err" },
	{ 0xfd804a23, "__rt_spin_lock_init" },
	{ 0x5fc9a1bd, "can_change_mtu" },
	{ 0x135e2a6d, "can_change_state" },
	{ 0xe9be0e82, "_dev_info" },
	{ 0xd2188d0b, "usb_submit_urb" },
	{ 0xb601be4c, "__x86_indirect_thunk_rdx" },
	{ 0x5f9a9da5, "unregister_candev" },
	{ 0x7831ac8a, "netif_device_detach" },
	{ 0x6605fde2, "usb_kill_anchored_urbs" },
	{ 0xb2353bb0, "alloc_can_skb" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x6be1104b, "usb_bulk_msg" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xc39dad6c, "kfree_skb" },
	{ 0x2ea2c95c, "__x86_indirect_thunk_rax" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xeb75a295, "netdev_err" },
	{ 0x87a4df01, "open_candev" },
	{ 0x3070ac7a, "kmem_cache_alloc_trace" },
	{ 0x3cf5d3d6, "__dynamic_dev_dbg" },
	{ 0xd950dcef, "netdev_warn" },
	{ 0x37a0cba, "kfree" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfcef95d7, "usb_register_driver" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xd9d66ab8, "alloc_canfd_skb" },
	{ 0x8762619a, "can_len2dlc" },
	{ 0x65b45cb, "complete" },
	{ 0xf03d38b3, "can_get_echo_skb" },
	{ 0xc3212515, "consume_skb" },
	{ 0xbd2c71f, "usb_alloc_coherent" },
	{ 0xffdcb9fe, "can_put_echo_skb" },
	{ 0x1009b70e, "devm_kmalloc" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0xe4dc1516, "can_free_echo_skb" },
	{ 0x810b2793, "usb_free_urb" },
	{ 0xdadcd0e5, "usb_anchor_urb" },
	{ 0x98c178d2, "completion_done" },
	{ 0xae69f46f, "usb_alloc_urb" },
	{ 0xe914e41e, "strcpy" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=can-dev,usbcore";

MODULE_ALIAS("usb:v0BFDp000Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp000Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp000Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp000Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp000Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0010d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0011d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0013d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0016d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0017d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0018d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0019d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp001Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp001Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp001Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp001Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0022d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0023d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0027d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0120d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0121d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0122d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0123d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0124d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0004d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0002d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0005d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0003d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0102d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0104d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0105d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0106d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0107d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0108d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp0109d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp010Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp010Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp010Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp010Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BFDp010Ed*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "F81C4EC2928538C73D2242A");

MODULE_INFO(suserelease, "SLE15-SP2");
