#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x787619be, "module_layout" },
	{ 0xc44e4a06, "eth_validate_addr" },
	{ 0x2d6e5e1c, "eth_mac_addr" },
	{ 0xc5f7fabc, "usb_deregister" },
	{ 0xfcef95d7, "usb_register_driver" },
	{ 0x68c9766d, "__dev_kfree_skb_any" },
	{ 0x3a6997f1, "pskb_expand_head" },
	{ 0xb6f6346f, "usb_autopm_get_interface" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x8ba9d240, "register_netdev" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xbd2c71f, "usb_alloc_coherent" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xe9be0e82, "_dev_info" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x8ca8bb3, "usb_reset_configuration" },
	{ 0xfd804a23, "__rt_spin_lock_init" },
	{ 0xe0893399, "__rt_mutex_init" },
	{ 0xacd697a8, "alloc_etherdev_mqs" },
	{ 0x1ef1e32e, "release_firmware" },
	{ 0x1d50c093, "request_firmware" },
	{ 0x37a0cba, "kfree" },
	{ 0xae69f46f, "usb_alloc_urb" },
	{ 0x3070ac7a, "kmem_cache_alloc_trace" },
	{ 0x6bf1b3f9, "kmalloc_caches" },
	{ 0x4629334c, "__preempt_count" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0xf4d3491d, "finish_wait" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa5e3cd6, "prepare_to_wait_event" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x6bcb6e07, "__might_sleep" },
	{ 0xfb52742b, "__init_waitqueue_head" },
	{ 0xf73bc651, "netif_carrier_on" },
	{ 0x7d093d34, "usb_autopm_put_interface" },
	{ 0xa7aca01e, "__dev_kfree_skb_irq" },
	{ 0x10cba0a5, "netif_tx_wake_queue" },
	{ 0xc1f176ac, "usb_unlink_urb" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x88ac139, "_dev_warn" },
	{ 0x27a5a809, "__dynamic_netdev_dbg" },
	{ 0x6a34206f, "free_netdev" },
	{ 0x58a168ef, "usb_free_coherent" },
	{ 0x810b2793, "usb_free_urb" },
	{ 0x7e1c127e, "unregister_netdev" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xcc2c283f, "usb_kill_urb" },
	{ 0x3cf5d3d6, "__dynamic_dev_dbg" },
	{ 0x45a959d0, "netif_rx" },
	{ 0xcfed7adb, "eth_type_trans" },
	{ 0xe0851140, "skb_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0xcb5a8874, "__netdev_alloc_skb" },
	{ 0x6ced00d4, "rt_spin_unlock" },
	{ 0x8d6f75c4, "rt_spin_lock" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc7d567bb, "_dev_err" },
	{ 0xd2188d0b, "usb_submit_urb" },
	{ 0xd9bea33d, "__wake_up" },
	{ 0xbdfb6dbb, "__fentry__" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbcore";

MODULE_ALIAS("usb:v03E8p0008d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04BBp0901d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0506p03E8d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0506p11F8d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0557p2002d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0557p4000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0565p0002d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0565p0003d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0565p0005d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05E9p0008d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05E9p0009d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v066Bp2202d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06E1p0008d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06E1p0009d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0707p0100d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07AAp0001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07B8p4000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07C9pB010d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0846p1001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0846p1002d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v085Ap0008d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v085Ap0009d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v087Dp5704d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0951p0008d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v095Ap3003d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v10BDp1427d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1342p0204d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13D2p0400d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1485p0001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1485p0002d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1645p0005d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1645p0008d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1645p8005d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1668p0323d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p4000d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "37FCC6F1DA21BDC750C3232");

MODULE_INFO(suserelease, "SLE15-SP2");
