#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x787619be, "module_layout" },
	{ 0xc0fb93a9, "param_ops_bool" },
	{ 0x22ccd723, "ethtool_op_get_ts_info" },
	{ 0xef955678, "usbnet_get_link" },
	{ 0xc07d31c9, "usbnet_nway_reset" },
	{ 0xe1b03bcb, "usbnet_set_msglevel" },
	{ 0x70eb383f, "usbnet_get_msglevel" },
	{ 0xeabbabeb, "usbnet_get_drvinfo" },
	{ 0xd0e4b930, "usbnet_get_stats64" },
	{ 0x4eb96da7, "usbnet_tx_timeout" },
	{ 0xee17a6f2, "usbnet_change_mtu" },
	{ 0xc44e4a06, "eth_validate_addr" },
	{ 0x2d6e5e1c, "eth_mac_addr" },
	{ 0x5ec14288, "usbnet_start_xmit" },
	{ 0xd918a12, "usbnet_stop" },
	{ 0xd86c04a7, "usbnet_open" },
	{ 0x1131db18, "usbnet_disconnect" },
	{ 0xdab77e82, "usbnet_probe" },
	{ 0xc5f7fabc, "usb_deregister" },
	{ 0xfcef95d7, "usb_register_driver" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x25b2a21f, "usbnet_suspend" },
	{ 0x79aa04a2, "get_random_bytes" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xfd804a23, "__rt_spin_lock_init" },
	{ 0xe0893399, "__rt_mutex_init" },
	{ 0x3070ac7a, "kmem_cache_alloc_trace" },
	{ 0x6bf1b3f9, "kmalloc_caches" },
	{ 0xb8ca29b2, "usbnet_get_endpoints" },
	{ 0xc5850110, "printk" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x8ca361bb, "usbnet_link_change" },
	{ 0xc5583867, "usb_autopm_get_interface_no_resume" },
	{ 0x7d093d34, "usb_autopm_put_interface" },
	{ 0x5a124d04, "netdev_info" },
	{ 0xe26ff0cd, "usbnet_skb_return" },
	{ 0x53c8d503, "skb_trim" },
	{ 0x394310c3, "skb_clone" },
	{ 0xcf10f507, "skb_pull" },
	{ 0x52a3260d, "usbnet_resume" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6362b99d, "mii_nway_restart" },
	{ 0xf9a482f9, "msleep" },
	{ 0x7f4d575b, "mii_ethtool_gset" },
	{ 0x3e3d5763, "mii_check_media" },
	{ 0xa5b234b8, "usbnet_set_link_ksettings" },
	{ 0x1cc7d3dc, "_mutex_unlock" },
	{ 0xbbd70f03, "_mutex_lock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9af22497, "usbnet_read_cmd_nopm" },
	{ 0xa1a2ee03, "usbnet_read_cmd" },
	{ 0x2ea2c95c, "__x86_indirect_thunk_rax" },
	{ 0x1c38eeb7, "usbnet_write_cmd_nopm" },
	{ 0x563c8e17, "usbnet_write_cmd" },
	{ 0xbd6841d4, "crc16" },
	{ 0xdc16de62, "generic_mii_ioctl" },
	{ 0xb37e5b7e, "device_set_wakeup_enable" },
	{ 0xb9dc722d, "usbnet_get_link_ksettings" },
	{ 0x37a0cba, "kfree" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x6ced00d4, "rt_spin_unlock" },
	{ 0x8d6f75c4, "rt_spin_lock" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x4ba05c5e, "usbnet_write_cmd_async" },
	{ 0xd950dcef, "netdev_warn" },
	{ 0x27a5a809, "__dynamic_netdev_dbg" },
	{ 0x151df83f, "usbnet_defer_kevent" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x68c9766d, "__dev_kfree_skb_any" },
	{ 0x3a6997f1, "pskb_expand_head" },
	{ 0x6f4f6c02, "skb_push" },
	{ 0xbdfb6dbb, "__fentry__" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbnet,usbcore,mii,crc16";

MODULE_ALIAS("usb:v0424p9500d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9505d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9E00d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9E01d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424pEC00d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9900d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9901d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9902d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9903d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9904d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9905d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9906d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9907d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9908d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9909d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9530d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9730d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p9E08d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "CB21E37DBD72571C50147E0");

MODULE_INFO(suserelease, "SLE15-SP2");
