#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x787619be, "module_layout" },
	{ 0xc5f7fabc, "usb_deregister" },
	{ 0xfcef95d7, "usb_register_driver" },
	{ 0xd4fc5f4a, "ieee80211_rx_irqsafe" },
	{ 0xb0e602eb, "memmove" },
	{ 0x316dd292, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe0851140, "skb_put" },
	{ 0xa7aca01e, "__dev_kfree_skb_irq" },
	{ 0x69c484f3, "ieee80211_tx_status_irqsafe" },
	{ 0xcf10f507, "skb_pull" },
	{ 0xf4d3491d, "finish_wait" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa5e3cd6, "prepare_to_wait_event" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x6bcb6e07, "__might_sleep" },
	{ 0x792a98e3, "ieee80211_free_txskb" },
	{ 0x6f4f6c02, "skb_push" },
	{ 0xc39dad6c, "kfree_skb" },
	{ 0xbd054f69, "__alloc_skb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x97934ecf, "del_timer_sync" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x34656e65, "ieee80211_register_hw" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xbd2c71f, "usb_alloc_coherent" },
	{ 0x1ef1e32e, "release_firmware" },
	{ 0x37a0cba, "kfree" },
	{ 0x6be1104b, "usb_bulk_msg" },
	{ 0x3070ac7a, "kmem_cache_alloc_trace" },
	{ 0x6bf1b3f9, "kmalloc_caches" },
	{ 0x1d50c093, "request_firmware" },
	{ 0xae69f46f, "usb_alloc_urb" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xfb52742b, "__init_waitqueue_head" },
	{ 0xfd804a23, "__rt_spin_lock_init" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x2f55ff57, "__mutex_do_init" },
	{ 0xe0893399, "__rt_mutex_init" },
	{ 0x960a21bc, "ieee80211_alloc_hw_nm" },
	{ 0x37284d20, "ieee80211_free_hw" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7f97252f, "ieee80211_unregister_hw" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xcc2c283f, "usb_kill_urb" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xc5850110, "printk" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd9bea33d, "__wake_up" },
	{ 0x2b68bd2f, "del_timer" },
	{ 0xdbb0418a, "ieee80211_wake_queues" },
	{ 0x6ced00d4, "rt_spin_unlock" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x8d6f75c4, "rt_spin_lock" },
	{ 0xf7e96e91, "ieee80211_stop_queues" },
	{ 0xe9be0e82, "_dev_info" },
	{ 0x48912260, "ieee80211_find_sta" },
	{ 0x1e150c2c, "ieee80211_queue_delayed_work" },
	{ 0x17037779, "ieee80211_queue_work" },
	{ 0x65b45cb, "complete" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x1cc7d3dc, "_mutex_unlock" },
	{ 0xbbd70f03, "_mutex_lock" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x69acdf38, "memcpy" },
	{ 0xc7d567bb, "_dev_err" },
	{ 0xd2188d0b, "usb_submit_urb" },
	{ 0x810b2793, "usb_free_urb" },
	{ 0x58a168ef, "usb_free_coherent" },
	{ 0x3cf5d3d6, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbcore,mac80211,cfg80211";

MODULE_ALIAS("usb:v168Cp0001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v168Cp0002d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0CF3p0001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0CF3p0002d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0CF3p0003d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0CF3p0004d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0CF3p0005d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0CF3p0006d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D8Ep7801d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D8Ep7802d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D8Ep7811d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D8Ep7812d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p3A00d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p3A01d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p3A02d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p3A03d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p3A04d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p3A05d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07D1p3A07d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07D1p3A08d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1690p0712d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1690p0713d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1690p0710d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1690p0711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v129Bp160Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v129Bp160Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v16ABp7801d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v16ABp7802d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v16ABp7811d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v16ABp7812d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D8Ep7802d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D8Ep7803d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0846p4300d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0846p4301d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0846p4250d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0846p4251d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0846p5F00d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0846p5F01d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v157Ep3006d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v157Ep3007d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v157Ep3205d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v157Ep3206d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v157Ep3006d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v157Ep3007d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1435p0826d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1435p0827d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1435p0828d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1435p0829d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0CDEp0012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0CDEp0013d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1385p4250d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1385p4251d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1385p5F00d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1385p5F01d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1385p5F02d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1385p5F03d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "621985A1368A9E8600DB42D");

MODULE_INFO(suserelease, "SLE15-SP2");
