#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x787619be, "module_layout" },
	{ 0xadf4cf13, "orinoco_tx_timeout" },
	{ 0x86470a85, "orinoco_change_mtu" },
	{ 0xc44e4a06, "eth_validate_addr" },
	{ 0x2d6e5e1c, "eth_mac_addr" },
	{ 0xba2e5d3d, "orinoco_set_multicast_list" },
	{ 0xdeb4b55f, "orinoco_stop" },
	{ 0xea3a23d0, "orinoco_open" },
	{ 0xc5f7fabc, "usb_deregister" },
	{ 0xfcef95d7, "usb_register_driver" },
	{ 0x8fb82d29, "free_orinocodev" },
	{ 0x345d0076, "wiphy_unregister" },
	{ 0x5d9109c0, "orinoco_if_del" },
	{ 0x1cc7d3dc, "_mutex_unlock" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x97934ecf, "del_timer_sync" },
	{ 0xbbd70f03, "_mutex_lock" },
	{ 0x1ef1e32e, "release_firmware" },
	{ 0x9799b8dd, "orinoco_if_add" },
	{ 0x4f394200, "orinoco_init" },
	{ 0x1d50c093, "request_firmware" },
	{ 0xfd804a23, "__rt_spin_lock_init" },
	{ 0x2f55ff57, "__mutex_do_init" },
	{ 0xe0893399, "__rt_mutex_init" },
	{ 0x7d606fef, "alloc_orinocodev" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x38b88f92, "orinoco_process_xmit_skb" },
	{ 0xc3212515, "consume_skb" },
	{ 0x2ea2c95c, "__x86_indirect_thunk_rax" },
	{ 0xcc2c283f, "usb_kill_urb" },
	{ 0xa72957cc, "__dynamic_pr_debug" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xbc254e2a, "current_task" },
	{ 0x4ad05380, "finish_swait" },
	{ 0xfc1b4732, "prepare_to_swait_event" },
	{ 0x1000e51, "schedule" },
	{ 0x4629334c, "__preempt_count" },
	{ 0x29a2b79c, "usb_control_msg" },
	{ 0x3cf5d3d6, "__dynamic_dev_dbg" },
	{ 0xc1f176ac, "usb_unlink_urb" },
	{ 0xd866fc81, "__orinoco_ev_rx" },
	{ 0x27a08ff6, "__orinoco_ev_info" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0x2b68bd2f, "del_timer" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x10cba0a5, "netif_tx_wake_queue" },
	{ 0x65b45cb, "complete" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x810b2793, "usb_free_urb" },
	{ 0x27a5a809, "__dynamic_netdev_dbg" },
	{ 0xd2188d0b, "usb_submit_urb" },
	{ 0x37a0cba, "kfree" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xae69f46f, "usb_alloc_urb" },
	{ 0x3070ac7a, "kmem_cache_alloc_trace" },
	{ 0x6bf1b3f9, "kmalloc_caches" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x6ced00d4, "rt_spin_unlock" },
	{ 0x8d6f75c4, "rt_spin_lock" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc5850110, "printk" },
	{ 0x69acdf38, "memcpy" },
	{ 0xbdfb6dbb, "__fentry__" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=orinoco,usbcore,cfg80211";

MODULE_ALIAS("usb:v049Fp001Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v049Fp0082d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v049Fp0076d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0006d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p000Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p000Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v047Ep0300d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D98p0300d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D9Ep0300d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D4Ep1000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D4Ep1001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05CCp3100d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0E7Cp0300d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04E8p5002d0000dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04E8p5B11d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04E8p7011d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0681p0012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BF8p1002d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1630pFF81d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0D4Ep047Ad*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "777C446A7F7E4BA70C488FF");

MODULE_INFO(suserelease, "SLE15-SP2");
