#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x787619be, "module_layout" },
	{ 0x16801454, "mt76x02_remove_interface" },
	{ 0x40d8d059, "__mt76_poll" },
	{ 0x2f55ff57, "__mutex_do_init" },
	{ 0xe0c39417, "mt76x02_sw_scan" },
	{ 0x166102da, "mt76x02_conf_tx" },
	{ 0x5324dea2, "mt76x02_ampdu_action" },
	{ 0x6377b3b6, "mt76u_stop_rx" },
	{ 0xe0893399, "__rt_mutex_init" },
	{ 0x702228b9, "mt76x02u_exit_beacon_config" },
	{ 0x109317a2, "mt76x02_add_interface" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x6b828fd9, "mt76u_vendor_request" },
	{ 0x7f97252f, "ieee80211_unregister_hw" },
	{ 0x2c2740d6, "mt76x02u_init_beacon_config" },
	{ 0xf07e9014, "mt76u_stop_tx" },
	{ 0x936c3523, "mt76u_alloc_queues" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x25ebb52f, "mt76x0_mac_start" },
	{ 0xeaa31c9d, "mt76x02_bss_info_changed" },
	{ 0xac66346d, "mt76x0_init_hardware" },
	{ 0xca0c69a3, "mt76_sta_state" },
	{ 0x14a62ba6, "mt76x02_set_rts_threshold" },
	{ 0x9e056797, "mt76x02u_tx_prepare_skb" },
	{ 0x1d46b8fa, "mt76x02u_init_mcu" },
	{ 0x88ac139, "_dev_warn" },
	{ 0x5aa5d21d, "mt76u_init" },
	{ 0xc37c5669, "mt76x02u_mcu_fw_send_data" },
	{ 0x1f269e07, "mt76x0_mac_stop" },
	{ 0x472f394, "mt76x02_sta_add" },
	{ 0x7bf94819, "mt76x02_tx_status_data" },
	{ 0xc5f7fabc, "usb_deregister" },
	{ 0xe427f58e, "mt76x02_sta_remove" },
	{ 0x7f2e141b, "mt76x02_tx" },
	{ 0x1f313314, "__mt76_poll_msec" },
	{ 0x2d83221b, "mt76x02_sw_scan_complete" },
	{ 0xc20a97a2, "mt76_set_tim" },
	{ 0x46385c8b, "mt76x0_phy_calibrate" },
	{ 0xd503525b, "mt76x02u_mcu_fw_reset" },
	{ 0xc7d567bb, "_dev_err" },
	{ 0x2ba32e96, "mt76x0_register_device" },
	{ 0x6ab60038, "mt76x0_config" },
	{ 0x1e150c2c, "ieee80211_queue_delayed_work" },
	{ 0x40f275c6, "mt76u_queues_deinit" },
	{ 0xadd8db81, "mt76x02_queue_rx_skb" },
	{ 0x6c489a50, "mt76x0_chip_onoff" },
	{ 0x4ae094d1, "mt76x02_configure_filter" },
	{ 0xe9be0e82, "_dev_info" },
	{ 0x4971c140, "usb_get_dev" },
	{ 0x12a38747, "usleep_range" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0xef1739e4, "usb_reset_device" },
	{ 0xcf8b3156, "usb_put_dev" },
	{ 0x2ea2c95c, "__x86_indirect_thunk_rax" },
	{ 0xb19cc4e0, "mt76_alloc_device" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3cf5d3d6, "__dynamic_dev_dbg" },
	{ 0x31ba8593, "mt76x02_sta_rate_tbl_update" },
	{ 0x6b7730d9, "mt76u_resume_rx" },
	{ 0x60e3cfdd, "mt76x02_sta_ps" },
	{ 0x37a0cba, "kfree" },
	{ 0xfbbe1d8a, "mt76_wake_tx_queue" },
	{ 0xc00cefcb, "mt76_get_txpower" },
	{ 0xfcef95d7, "usb_register_driver" },
	{ 0x1d50c093, "request_firmware" },
	{ 0xe461fcf5, "mt76_release_buffered_frames" },
	{ 0x37284d20, "ieee80211_free_hw" },
	{ 0x7c453ad4, "mt76x02_set_key" },
	{ 0x23a774e5, "firmware_request_nowarn" },
	{ 0x1ef1e32e, "release_firmware" },
	{ 0x2fc9194e, "mt76x02u_tx_complete_skb" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=mt76x02-lib,mt76,mt76-usb,mt76x02-usb,mac80211,mt76x0-common,usbcore";

MODULE_ALIAS("usb:v148Fp7610d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p003Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0E8Dp7610d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v7392pA711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v7392pB711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp761Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp760Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p17D1d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p17DBd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DF6p0075d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2019pAB31d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p3D02d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0586p3425d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07B8p7610d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04BBp0951d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v057Cp8502d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v293Cp5702d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v20F4p806Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v7392pC711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DF6p0079d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2357p0105d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0E8Dp7630d*dc*dsc*dp*icFFisc02ipFFin*");
MODULE_ALIAS("usb:v0E8Dp7650d*dc*dsc*dp*icFFisc02ipFFin*");

MODULE_INFO(srcversion, "925183ECD2EB34F8976E70A");

MODULE_INFO(suserelease, "SLE15-SP2");
