#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x787619be, "module_layout" },
	{ 0x3bdaac1b, "param_ops_string" },
	{ 0x4e0a5f6e, "param_ops_int" },
	{ 0xd0e4b930, "usbnet_get_stats64" },
	{ 0x4eb96da7, "usbnet_tx_timeout" },
	{ 0xc44e4a06, "eth_validate_addr" },
	{ 0x2d6e5e1c, "eth_mac_addr" },
	{ 0x5ec14288, "usbnet_start_xmit" },
	{ 0xd918a12, "usbnet_stop" },
	{ 0xd86c04a7, "usbnet_open" },
	{ 0xde97b233, "rndis_tx_fixup" },
	{ 0x67bbf799, "rndis_rx_fixup" },
	{ 0x86d77a08, "rndis_status" },
	{ 0x52a3260d, "usbnet_resume" },
	{ 0x25b2a21f, "usbnet_suspend" },
	{ 0x1131db18, "usbnet_disconnect" },
	{ 0xdab77e82, "usbnet_probe" },
	{ 0xc5f7fabc, "usb_deregister" },
	{ 0xfcef95d7, "usb_register_driver" },
	{ 0x655039d3, "wiphy_register" },
	{ 0x7741bb79, "generic_rndis_bind" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x2f55ff57, "__mutex_do_init" },
	{ 0xe0893399, "__rt_mutex_init" },
	{ 0x4542f97d, "wiphy_new_nm" },
	{ 0xeb75a295, "netdev_err" },
	{ 0xd451dffe, "usbnet_purge_paused_rxq" },
	{ 0x9c64fbd, "ieee80211_frequency_to_channel" },
	{ 0xe8663ae6, "ieee80211_channel_to_frequency" },
	{ 0xfc898327, "netif_carrier_off" },
	{ 0x963c0c5d, "cfg80211_disconnected" },
	{ 0xc5850110, "printk" },
	{ 0xa70aff51, "cfg80211_roamed" },
	{ 0x58f93925, "cfg80211_ibss_joined" },
	{ 0xf73bc651, "netif_carrier_on" },
	{ 0x4e2f0f26, "usbnet_resume_rx" },
	{ 0x3070ac7a, "kmem_cache_alloc_trace" },
	{ 0x6bf1b3f9, "kmalloc_caches" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x5d69a16d, "cfg80211_cqm_rssi_notify" },
	{ 0x337ef6fb, "cfg80211_put_bss" },
	{ 0x61d4da07, "ieee80211_get_channel" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x754d539c, "strlen" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x6ced00d4, "rt_spin_unlock" },
	{ 0x8d6f75c4, "rt_spin_lock" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xa13944b8, "cfg80211_scan_done" },
	{ 0x1b4943f8, "wiphy_free" },
	{ 0x345d0076, "wiphy_unregister" },
	{ 0x9e890308, "rndis_unbind" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x42160169, "flush_workqueue" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x79aa04a2, "get_random_bytes" },
	{ 0xf9a482f9, "msleep" },
	{ 0xd950dcef, "netdev_warn" },
	{ 0x37a0cba, "kfree" },
	{ 0x1cc7d3dc, "_mutex_unlock" },
	{ 0xdfa6a5e3, "rndis_command" },
	{ 0x69acdf38, "memcpy" },
	{ 0xbbd70f03, "_mutex_lock" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xd83f5525, "cfg80211_inform_bss_data" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x542f23b4, "cfg80211_connect_done" },
	{ 0x6176d26, "usbnet_pause_rx" },
	{ 0x11005c60, "cfg80211_michael_mic_failure" },
	{ 0x27a5a809, "__dynamic_netdev_dbg" },
	{ 0x42175111, "cfg80211_pmksa_candidate_notify" },
	{ 0x5a124d04, "netdev_info" },
	{ 0x11089ac7, "_ctype" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xbdfb6dbb, "__fentry__" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbnet,rndis_host,usbcore,cfg80211";

MODULE_ALIAS("usb:v0411p00BCd*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v0BAFp011Bd*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v050Dp011Bd*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v1799p011Bd*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v13B1p0014d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v13B1p0026d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v0B05p1717d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v0A5CpD11Bd*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v1690p0715d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v13B1p000Ed*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v0BAFp0111d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v0411p004Bd*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*icEFisc01ip01in*");

MODULE_INFO(srcversion, "AEC3E86F8E3A19A4D8F6728");

MODULE_INFO(suserelease, "SLE15-SP2");
