#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x787619be, "module_layout" },
	{ 0xc5f7fabc, "usb_deregister" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xfcef95d7, "usb_register_driver" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x5c7fb14a, "scsi_add_host_with_dma" },
	{ 0x88ac139, "_dev_warn" },
	{ 0xfd804a23, "__rt_spin_lock_init" },
	{ 0xe0893399, "__rt_mutex_init" },
	{ 0xfb52742b, "__init_waitqueue_head" },
	{ 0x613e30be, "scsi_host_alloc" },
	{ 0x2c3fac88, "usb_stor_adjust_quirks" },
	{ 0x1bc3edc2, "usb_stor_sense_invalidCDB" },
	{ 0xc1f176ac, "usb_unlink_urb" },
	{ 0xe5a5a4bb, "sdev_prefix_printk" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc5747d23, "usb_unanchor_urb" },
	{ 0x3070ac7a, "kmem_cache_alloc_trace" },
	{ 0x6bf1b3f9, "kmalloc_caches" },
	{ 0x69acdf38, "memcpy" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xd2188d0b, "usb_submit_urb" },
	{ 0xdadcd0e5, "usb_anchor_urb" },
	{ 0xae69f46f, "usb_alloc_urb" },
	{ 0xb8b1a89a, "blk_queue_max_hw_sectors" },
	{ 0x653655d, "blk_queue_update_dma_alignment" },
	{ 0x3cf5d3d6, "__dynamic_dev_dbg" },
	{ 0x9603bf31, "scsi_scan_host" },
	{ 0x1cc7d3dc, "_mutex_unlock" },
	{ 0xb9bb436d, "usb_lock_device_for_reset" },
	{ 0xa92d0b89, "scsi_host_put" },
	{ 0x9dc46b42, "scsi_remove_host" },
	{ 0x6605fde2, "usb_kill_anchored_urbs" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xc5850110, "printk" },
	{ 0x2ea2c95c, "__x86_indirect_thunk_rax" },
	{ 0xcc2c283f, "usb_kill_urb" },
	{ 0x9c5c3534, "usb_get_urb" },
	{ 0xcfb623d6, "scsi_print_command" },
	{ 0x78e840b3, "scmd_printk" },
	{ 0xe6e778a1, "scsi_report_bus_reset" },
	{ 0xed8bedd1, "usb_alloc_streams" },
	{ 0xbd083286, "scsi_change_queue_depth" },
	{ 0xd732d1ce, "scsi_is_host_device" },
	{ 0xc7d567bb, "_dev_err" },
	{ 0x810b2793, "usb_free_urb" },
	{ 0x91fd8085, "scsi_unblock_requests" },
	{ 0x40379002, "dev_printk" },
	{ 0xa1b2f506, "scsi_block_requests" },
	{ 0x6ced00d4, "rt_spin_unlock" },
	{ 0x8d6f75c4, "rt_spin_lock" },
	{ 0x8e381957, "usb_wait_anchor_empty_timeout" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xef1739e4, "usb_reset_device" },
	{ 0xd44f1f95, "usb_set_interface" },
	{ 0x15af7f4, "system_state" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x94d8ab88, "usb_free_streams" },
	{ 0xbdfb6dbb, "__fentry__" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbcore,scsi_mod,usb-storage";

MODULE_ALIAS("usb:v0984p0301d0128dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BC2p331Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13FDp3940d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0539d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0567d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v152Dp0578d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2109p0711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2537p1068d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v357Dp7788d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p1012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p8017d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v4971p8024d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic08isc06ip50in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic08isc06ip62in*");

MODULE_INFO(srcversion, "13EC18CC402E6515BEC7A2C");

MODULE_INFO(suserelease, "SLE15-SP2");
