#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x787619be, "module_layout" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xf9a482f9, "msleep" },
	{ 0xcb3a8cc1, "i2c_del_driver" },
	{ 0x2f55ff57, "__mutex_do_init" },
	{ 0xa7c242df, "regulator_disable" },
	{ 0x3699415, "i2c_transfer" },
	{ 0x5bfe351e, "input_alloc_absinfo" },
	{ 0xe0893399, "__rt_mutex_init" },
	{ 0x1cc7d3dc, "_mutex_unlock" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xd0de10d3, "input_mt_report_pointer_emulation" },
	{ 0x9ca7a460, "input_set_abs_params" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x3fc264e5, "input_event" },
	{ 0x88ac139, "_dev_warn" },
	{ 0x4ac2f1ea, "i2c_smbus_read_byte" },
	{ 0x33ba6f22, "input_set_capability" },
	{ 0x533773cd, "i2c_smbus_write_byte" },
	{ 0xdc60fc9d, "irq_get_irq_data" },
	{ 0xa5d3d144, "input_mt_init_slots" },
	{ 0xe90e20f2, "device_init_wakeup" },
	{ 0xc7d567bb, "_dev_err" },
	{ 0x106f598f, "i2c_register_driver" },
	{ 0x3dfde75, "devm_add_action" },
	{ 0xe9be0e82, "_dev_info" },
	{ 0xdbb0f32d, "i2c_smbus_write_block_data" },
	{ 0xab11d0e2, "devm_regulator_get" },
	{ 0x4e3d4a9f, "device_property_read_u32_array" },
	{ 0x2caafccf, "i2c_smbus_read_block_data" },
	{ 0x12a38747, "usleep_range" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0xb98a2261, "input_register_device" },
	{ 0x94a7058, "pm_wakeup_dev_event" },
	{ 0x2ea2c95c, "__x86_indirect_thunk_rax" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3cf5d3d6, "__dynamic_dev_dbg" },
	{ 0x81f32ff5, "i2c_transfer_buffer_flags" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x37a0cba, "kfree" },
	{ 0xf88a995d, "sysfs_create_groups" },
	{ 0xe3d57138, "devm_input_allocate_device" },
	{ 0xef8557ed, "input_mt_report_slot_state" },
	{ 0xfb0d9226, "sysfs_remove_groups" },
	{ 0x1d50c093, "request_firmware" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x65b45cb, "complete" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x1009b70e, "devm_kmalloc" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x79f56144, "devm_request_threaded_irq" },
	{ 0x1ef1e32e, "release_firmware" },
	{ 0x38db8bc8, "device_property_present" },
	{ 0xd31c06d4, "_mutex_lock_interruptible" },
	{ 0x732fe6f, "regulator_enable" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=";

MODULE_ALIAS("acpi*:ELAN0000:*");
MODULE_ALIAS("acpi*:ELAN0100:*");
MODULE_ALIAS("acpi*:ELAN0600:*");
MODULE_ALIAS("acpi*:ELAN0601:*");
MODULE_ALIAS("acpi*:ELAN0602:*");
MODULE_ALIAS("acpi*:ELAN0603:*");
MODULE_ALIAS("acpi*:ELAN0604:*");
MODULE_ALIAS("acpi*:ELAN0605:*");
MODULE_ALIAS("acpi*:ELAN0606:*");
MODULE_ALIAS("acpi*:ELAN0607:*");
MODULE_ALIAS("acpi*:ELAN0608:*");
MODULE_ALIAS("acpi*:ELAN0609:*");
MODULE_ALIAS("acpi*:ELAN060B:*");
MODULE_ALIAS("acpi*:ELAN060C:*");
MODULE_ALIAS("acpi*:ELAN060F:*");
MODULE_ALIAS("acpi*:ELAN0610:*");
MODULE_ALIAS("acpi*:ELAN0611:*");
MODULE_ALIAS("acpi*:ELAN0612:*");
MODULE_ALIAS("acpi*:ELAN0615:*");
MODULE_ALIAS("acpi*:ELAN0616:*");
MODULE_ALIAS("acpi*:ELAN0617:*");
MODULE_ALIAS("acpi*:ELAN0618:*");
MODULE_ALIAS("acpi*:ELAN0619:*");
MODULE_ALIAS("acpi*:ELAN061A:*");
MODULE_ALIAS("acpi*:ELAN061C:*");
MODULE_ALIAS("acpi*:ELAN061D:*");
MODULE_ALIAS("acpi*:ELAN061E:*");
MODULE_ALIAS("acpi*:ELAN061F:*");
MODULE_ALIAS("acpi*:ELAN0620:*");
MODULE_ALIAS("acpi*:ELAN0621:*");
MODULE_ALIAS("acpi*:ELAN0622:*");
MODULE_ALIAS("acpi*:ELAN0623:*");
MODULE_ALIAS("acpi*:ELAN0624:*");
MODULE_ALIAS("acpi*:ELAN0625:*");
MODULE_ALIAS("acpi*:ELAN0626:*");
MODULE_ALIAS("acpi*:ELAN0627:*");
MODULE_ALIAS("acpi*:ELAN0628:*");
MODULE_ALIAS("acpi*:ELAN0629:*");
MODULE_ALIAS("acpi*:ELAN062A:*");
MODULE_ALIAS("acpi*:ELAN062B:*");
MODULE_ALIAS("acpi*:ELAN062C:*");
MODULE_ALIAS("acpi*:ELAN062D:*");
MODULE_ALIAS("acpi*:ELAN0631:*");
MODULE_ALIAS("acpi*:ELAN0632:*");
MODULE_ALIAS("acpi*:ELAN1000:*");
MODULE_ALIAS("i2c:elan_i2c");

MODULE_INFO(srcversion, "948D034E3621AA85384A587");

MODULE_INFO(suserelease, "SLE15-SP2");
