#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x787619be, "module_layout" },
	{ 0x34ffe4c8, "noop_llseek" },
	{ 0xc0fb93a9, "param_ops_bool" },
	{ 0x4e0a5f6e, "param_ops_int" },
	{ 0xc5f7fabc, "usb_deregister" },
	{ 0xfcef95d7, "usb_register_driver" },
	{ 0x9b3e53e1, "rc_keyup" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4799ca39, "rc_keydown" },
	{ 0x6ced00d4, "rt_spin_unlock" },
	{ 0x8d6f75c4, "rt_spin_lock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xacb2416c, "rc_free_device" },
	{ 0xa4da6d94, "input_free_device" },
	{ 0xc7d567bb, "_dev_err" },
	{ 0xea13f230, "usb_register_dev" },
	{ 0xb4c437da, "sysfs_create_group" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9ca7a460, "input_set_abs_params" },
	{ 0x56d43e4, "rc_register_device" },
	{ 0x21ea652d, "rc_allocate_device" },
	{ 0xb98a2261, "input_register_device" },
	{ 0xf9c0b663, "strlcat" },
	{ 0xa44ce2e3, "input_allocate_device" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xfd804a23, "__rt_spin_lock_init" },
	{ 0x2f55ff57, "__mutex_do_init" },
	{ 0xe0893399, "__rt_mutex_init" },
	{ 0xae69f46f, "usb_alloc_urb" },
	{ 0x3df4a207, "usb_ifnum_to_if" },
	{ 0x4971c140, "usb_get_dev" },
	{ 0x3fc264e5, "input_event" },
	{ 0x810b2793, "usb_free_urb" },
	{ 0xd52cd5f2, "usb_deregister_dev" },
	{ 0x97934ecf, "del_timer_sync" },
	{ 0x55851d92, "rc_unregister_device" },
	{ 0x2a1f2a65, "input_unregister_device" },
	{ 0xcf8b3156, "usb_put_dev" },
	{ 0x450a4b4b, "sysfs_remove_group" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe9be0e82, "_dev_info" },
	{ 0xdd64e639, "strscpy" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x88ac139, "_dev_warn" },
	{ 0x362ef408, "_copy_from_user" },
	{ 0x3070ac7a, "kmem_cache_alloc_trace" },
	{ 0x6bf1b3f9, "kmalloc_caches" },
	{ 0x58c59547, "wait_for_completion_interruptible" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xbc254e2a, "current_task" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x37a0cba, "kfree" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xc5850110, "printk" },
	{ 0x3cf5d3d6, "__dynamic_dev_dbg" },
	{ 0x1cc7d3dc, "_mutex_unlock" },
	{ 0x2a8e96f, "usb_find_interface" },
	{ 0xbbd70f03, "_mutex_lock" },
	{ 0x65b45cb, "complete" },
	{ 0xcc2c283f, "usb_kill_urb" },
	{ 0x5df12537, "rc_g_keycode_from_table" },
	{ 0xd2188d0b, "usb_submit_urb" },
	{ 0xbdfb6dbb, "__fentry__" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbcore,rc-core";

MODULE_ALIAS("usb:v15C2pFFDCd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0034d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0035d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0036d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0037d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0038d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0039d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p003Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p003Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p003Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p003Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p003Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p003Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0040d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0041d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0042d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0043d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0044d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0045d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0046d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "F3B6BBB89337C1129902B18");

MODULE_INFO(suserelease, "SLE15-SP2");
