#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x787619be, "module_layout" },
	{ 0xd0e4b930, "usbnet_get_stats64" },
	{ 0x4eb96da7, "usbnet_tx_timeout" },
	{ 0xee17a6f2, "usbnet_change_mtu" },
	{ 0xc44e4a06, "eth_validate_addr" },
	{ 0x2d6e5e1c, "eth_mac_addr" },
	{ 0x5ec14288, "usbnet_start_xmit" },
	{ 0xd918a12, "usbnet_stop" },
	{ 0xd86c04a7, "usbnet_open" },
	{ 0xa5b234b8, "usbnet_set_link_ksettings" },
	{ 0xb9dc722d, "usbnet_get_link_ksettings" },
	{ 0xc07d31c9, "usbnet_nway_reset" },
	{ 0xe1b03bcb, "usbnet_set_msglevel" },
	{ 0x70eb383f, "usbnet_get_msglevel" },
	{ 0x52a3260d, "usbnet_resume" },
	{ 0x25b2a21f, "usbnet_suspend" },
	{ 0x1131db18, "usbnet_disconnect" },
	{ 0xc5f7fabc, "usb_deregister" },
	{ 0xfcef95d7, "usb_register_driver" },
	{ 0x8ca361bb, "usbnet_link_change" },
	{ 0x29a2b79c, "usb_control_msg" },
	{ 0x68c9766d, "__dev_kfree_skb_any" },
	{ 0x6f4f6c02, "skb_push" },
	{ 0xbce54dab, "usbnet_status_stop" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x97934ecf, "del_timer_sync" },
	{ 0x72480942, "usbnet_status_start" },
	{ 0xdab77e82, "usbnet_probe" },
	{ 0x24d273d1, "add_timer" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x563c8e17, "usbnet_write_cmd" },
	{ 0xeb75a295, "netdev_err" },
	{ 0xe26ff0cd, "usbnet_skb_return" },
	{ 0x53c8d503, "skb_trim" },
	{ 0x394310c3, "skb_clone" },
	{ 0xcf10f507, "skb_pull" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x37a0cba, "kfree" },
	{ 0xc7d567bb, "_dev_err" },
	{ 0xa1a2ee03, "usbnet_read_cmd" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xfc898327, "netif_carrier_off" },
	{ 0x3070ac7a, "kmem_cache_alloc_trace" },
	{ 0x6bf1b3f9, "kmalloc_caches" },
	{ 0xb8ca29b2, "usbnet_get_endpoints" },
	{ 0x5792f848, "strlcpy" },
	{ 0xeabbabeb, "usbnet_get_drvinfo" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3cf5d3d6, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbnet,usbcore";

MODULE_ALIAS("usb:v1199p68A3d*dc*dsc*dp*ic*isc*ip*in07*");
MODULE_ALIAS("usb:v1199p68A3d*dc*dsc*dp*ic*isc*ip*in0A*");
MODULE_ALIAS("usb:v1199p68A3d*dc*dsc*dp*ic*isc*ip*in0B*");
MODULE_ALIAS("usb:v0F3Dp68A3d*dc*dsc*dp*ic*isc*ip*in07*");
MODULE_ALIAS("usb:v0F3Dp68A3d*dc*dsc*dp*ic*isc*ip*in0A*");
MODULE_ALIAS("usb:v0F3Dp68A3d*dc*dsc*dp*ic*isc*ip*in0B*");
MODULE_ALIAS("usb:v1199p68AAd*dc*dsc*dp*ic*isc*ip*in07*");
MODULE_ALIAS("usb:v1199p68AAd*dc*dsc*dp*ic*isc*ip*in0A*");
MODULE_ALIAS("usb:v1199p68AAd*dc*dsc*dp*ic*isc*ip*in0B*");
MODULE_ALIAS("usb:v0F3Dp68AAd*dc*dsc*dp*ic*isc*ip*in07*");
MODULE_ALIAS("usb:v0F3Dp68AAd*dc*dsc*dp*ic*isc*ip*in0A*");
MODULE_ALIAS("usb:v0F3Dp68AAd*dc*dsc*dp*ic*isc*ip*in0B*");

MODULE_INFO(srcversion, "79024F3EC1EE44C7D105361");

MODULE_INFO(suserelease, "SLE15-SP2");
