#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x787619be, "module_layout" },
	{ 0xc0fb93a9, "param_ops_bool" },
	{ 0x91fb2f6a, "rt2x00mac_tx_frames_pending" },
	{ 0x4c1326d0, "rt2x00mac_get_ringparam" },
	{ 0x5154b754, "rt2x00mac_get_antenna" },
	{ 0xcba60251, "rt2x00mac_set_antenna" },
	{ 0xe57e0324, "rt2x00mac_flush" },
	{ 0xe8ab667, "rt2x00mac_rfkill_poll" },
	{ 0x91710369, "rt2x00mac_conf_tx" },
	{ 0xb0e2e66a, "rt2x00mac_get_stats" },
	{ 0x39ea8fc8, "rt2x00mac_sw_scan_complete" },
	{ 0x7f179e82, "rt2x00mac_sw_scan_start" },
	{ 0xc5918810, "rt2x00mac_set_key" },
	{ 0x84b7082c, "rt2x00mac_set_tim" },
	{ 0x22447dfa, "rt2x00mac_configure_filter" },
	{ 0x3f8a0538, "rt2x00mac_bss_info_changed" },
	{ 0x672fe0ce, "rt2x00mac_config" },
	{ 0x2e9b987, "rt2x00mac_remove_interface" },
	{ 0x59698e58, "rt2x00mac_add_interface" },
	{ 0xe9615a74, "rt2x00mac_stop" },
	{ 0x227e05c0, "rt2x00mac_start" },
	{ 0xaa3f086b, "rt2x00mac_tx" },
	{ 0x5263af9c, "rt2x00usb_flush_queue" },
	{ 0x1342c1a, "rt2x00usb_kick_queue" },
	{ 0x67b32371, "rt2x00usb_watchdog" },
	{ 0x5becbfe3, "rt2x00usb_clear_entry" },
	{ 0x87d78fd1, "rt2x00usb_uninitialize" },
	{ 0x94fb4765, "rt2x00usb_initialize" },
	{ 0x6edb5aca, "rt2x00usb_resume" },
	{ 0x2143dfaf, "rt2x00usb_suspend" },
	{ 0x5e31bec1, "rt2x00usb_disconnect" },
	{ 0xc5f7fabc, "usb_deregister" },
	{ 0xfcef95d7, "usb_register_driver" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x3cf5d3d6, "__dynamic_dev_dbg" },
	{ 0xe9be0e82, "_dev_info" },
	{ 0xf37a7ce7, "rt2x00lib_set_mac_address" },
	{ 0xe4e64672, "rt2x00usb_vendor_request" },
	{ 0xf9a482f9, "msleep" },
	{ 0x6f1b9f81, "rt2x00usb_disable_radio" },
	{ 0x1cc7d3dc, "_mutex_unlock" },
	{ 0xbbd70f03, "_mutex_lock" },
	{ 0xc7d567bb, "_dev_err" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xabe232ec, "rt2x00usb_vendor_req_buff_lock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xc3212515, "consume_skb" },
	{ 0xd2188d0b, "usb_submit_urb" },
	{ 0x2ea2c95c, "__x86_indirect_thunk_rax" },
	{ 0x92e2b1a, "rt2x00debug_dump_frame" },
	{ 0x6f4f6c02, "skb_push" },
	{ 0x53c8d503, "skb_trim" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0xf2ab6e17, "rt2x00usb_vendor_request_buff" },
	{ 0x73a4e563, "rt2x00usb_probe" },
	{ 0xbdfb6dbb, "__fentry__" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=rt2x00lib,rt2x00usb,usbcore";

MODULE_ALIAS("usb:v0B05p1706d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p1707d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp7050d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp7051d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p000Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p0011d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p001Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v14B2p3C02d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p3C00d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1044p8001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1044p8007d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06F8pE000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p005Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0066d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0067d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p008Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0097d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6861d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6865d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6869d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp1706d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp2570d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp9020d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v079Bp004Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0681p3C06d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0707pEE13d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v114Bp0110d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0769p11F3d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0EB0p9020d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0F88p3012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v5A57p0260d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "E6636E1F71B87380790B02F");

MODULE_INFO(suserelease, "SLE15-SP2");
