#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x787619be, "module_layout" },
	{ 0x6bf1b3f9, "kmalloc_caches" },
	{ 0x159ac150, "snd_hda_gen_fixup_micmute_led" },
	{ 0x26b18484, "snd_hda_gen_free" },
	{ 0xb222e75b, "snd_hda_codec_get_pin_target" },
	{ 0xda8f7fbb, "snd_hda_mixer_amp_volume_put" },
	{ 0x375cacd5, "snd_hda_input_mux_info" },
	{ 0x4200e14, "snd_hda_gen_parse_auto_config" },
	{ 0x518d2d7f, "snd_hda_add_verbs" },
	{ 0x5a7d3ace, "snd_hda_apply_fixup" },
	{ 0xe6145460, "snd_hda_pick_fixup" },
	{ 0x641b447f, "snd_hda_mixer_amp_tlv" },
	{ 0x1f2103e0, "snd_hda_gen_build_pcms" },
	{ 0x3664074c, "snd_hda_jack_unsol_event" },
	{ 0x141271bf, "acpi_dev_found" },
	{ 0xaae237e, "snd_hda_gen_update_outputs" },
	{ 0xee26526c, "snd_hda_get_path_from_idx" },
	{ 0x867fdf2c, "snd_hda_mixer_amp_volume_get" },
	{ 0xd8e53b, "snd_hdac_regmap_write_raw" },
	{ 0xc5850110, "printk" },
	{ 0x90de0321, "snd_hda_gen_check_power_status" },
	{ 0xb05d8005, "snd_hda_codec_set_pin_target" },
	{ 0xaec4b28f, "snd_hdac_regmap_add_vendor_verb" },
	{ 0xad128fa, "snd_hda_gen_add_micmute_led" },
	{ 0xd6f82644, "snd_hda_activate_path" },
	{ 0xca6aa694, "snd_hda_gen_init" },
	{ 0xb7abbfef, "snd_hda_parse_pin_defcfg" },
	{ 0xd68dac71, "snd_hda_jack_set_gating_jack" },
	{ 0x13e04f5d, "__hda_codec_driver_register" },
	{ 0x6aaff751, "snd_hda_override_amp_caps" },
	{ 0xd40a0dd9, "snd_ctl_boolean_mono_info" },
	{ 0xe9be0e82, "_dev_info" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x55f24c34, "_snd_hdac_read_parm" },
	{ 0xf41c2bf8, "snd_hda_mixer_amp_switch_put_beep" },
	{ 0x2ea2c95c, "__x86_indirect_thunk_rax" },
	{ 0x42d49559, "snd_hda_gen_reboot_notify" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3070ac7a, "kmem_cache_alloc_trace" },
	{ 0x3cf5d3d6, "__dynamic_dev_dbg" },
	{ 0xa73683ca, "snd_hda_gen_add_kctl" },
	{ 0x3bd45b0d, "ledtrig_audio_set" },
	{ 0x3ed34eee, "snd_hda_mixer_amp_switch_get_beep" },
	{ 0x150b6fd0, "snd_hdac_codec_write" },
	{ 0x49d4cc2d, "snd_hda_add_new_path" },
	{ 0xf9457e78, "hda_codec_driver_unregister" },
	{ 0x1be32cde, "snd_hda_mixer_amp_switch_info" },
	{ 0xc74b1e91, "snd_hda_gen_spec_init" },
	{ 0x16641805, "snd_hda_jack_detect_state_mst" },
	{ 0x224c2ee3, "snd_hdac_regmap_read_raw" },
	{ 0x86700588, "snd_hda_mixer_amp_volume_info" },
	{ 0x61d9b69a, "query_amp_caps" },
	{ 0x9bddbcf4, "snd_hda_gen_mic_autoswitch" },
	{ 0xe3fcdecd, "snd_hda_gen_build_controls" },
	{ 0xd301880c, "snd_hda_add_new_ctls" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=snd-hda-codec-generic,snd-hda-codec,snd-hda-core,snd,ledtrig-audio";

MODULE_ALIAS("hdaudio:v14F11F86r*a01*");
MODULE_ALIAS("hdaudio:v14F12008r*a01*");
MODULE_ALIAS("hdaudio:v14F15045r*a01*");
MODULE_ALIAS("hdaudio:v14F15047r*a01*");
MODULE_ALIAS("hdaudio:v14F15051r*a01*");
MODULE_ALIAS("hdaudio:v14F15066r*a01*");
MODULE_ALIAS("hdaudio:v14F15067r*a01*");
MODULE_ALIAS("hdaudio:v14F15068r*a01*");
MODULE_ALIAS("hdaudio:v14F15069r*a01*");
MODULE_ALIAS("hdaudio:v14F1506Cr*a01*");
MODULE_ALIAS("hdaudio:v14F1506Er*a01*");
MODULE_ALIAS("hdaudio:v14F15097r*a01*");
MODULE_ALIAS("hdaudio:v14F15098r*a01*");
MODULE_ALIAS("hdaudio:v14F150A1r*a01*");
MODULE_ALIAS("hdaudio:v14F150A2r*a01*");
MODULE_ALIAS("hdaudio:v14F150ABr*a01*");
MODULE_ALIAS("hdaudio:v14F150ACr*a01*");
MODULE_ALIAS("hdaudio:v14F150B8r*a01*");
MODULE_ALIAS("hdaudio:v14F150B9r*a01*");
MODULE_ALIAS("hdaudio:v14F150F1r*a01*");
MODULE_ALIAS("hdaudio:v14F150F2r*a01*");
MODULE_ALIAS("hdaudio:v14F150F3r*a01*");
MODULE_ALIAS("hdaudio:v14F150F4r*a01*");
MODULE_ALIAS("hdaudio:v14F1510Fr*a01*");
MODULE_ALIAS("hdaudio:v14F15110r*a01*");
MODULE_ALIAS("hdaudio:v14F15111r*a01*");
MODULE_ALIAS("hdaudio:v14F15113r*a01*");
MODULE_ALIAS("hdaudio:v14F15114r*a01*");
MODULE_ALIAS("hdaudio:v14F15115r*a01*");
MODULE_ALIAS("hdaudio:v14F151D7r*a01*");

MODULE_INFO(srcversion, "B7D7A58C9F55F4515792288");

MODULE_INFO(suserelease, "SLE15-SP2");
