#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x787619be, "module_layout" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xf9a482f9, "msleep" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xeb711ae7, "snd_soc_params_to_bclk" },
	{ 0x815588a6, "clk_enable" },
	{ 0x3ee3ac66, "snd_soc_dapm_get_enum_double" },
	{ 0xcb3a8cc1, "i2c_del_driver" },
	{ 0x461795c9, "snd_soc_dapm_get_volsw" },
	{ 0xbfa47c62, "regmap_update_bits_base" },
	{ 0x19663bc4, "snd_pcm_hw_constraint_msbits" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xa72957cc, "__dynamic_pr_debug" },
	{ 0xb72ae797, "snd_soc_dapm_new_controls" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x9c807fc9, "snd_soc_component_update_bits" },
	{ 0x2f78dd73, "snd_soc_put_volsw" },
	{ 0x9f5cd3fd, "regmap_read" },
	{ 0x212e286d, "snd_soc_get_volsw" },
	{ 0x6d44eb36, "snd_soc_info_enum_double" },
	{ 0x33a02d25, "acpi_match_device" },
	{ 0xbb27841a, "snd_soc_dapm_add_routes" },
	{ 0x8cd0486a, "snd_soc_put_volsw_range" },
	{ 0x88ac139, "_dev_warn" },
	{ 0x4e12356d, "snd_soc_add_component_controls" },
	{ 0x5ac8238d, "snd_soc_info_volsw_range" },
	{ 0x5ae8a468, "snd_soc_bytes_info" },
	{ 0xb3cbf48a, "snd_soc_dapm_put_volsw" },
	{ 0xd12089d8, "snd_soc_get_volsw_range" },
	{ 0xc7d567bb, "_dev_err" },
	{ 0x22844d3e, "snd_soc_info_volsw" },
	{ 0x106f598f, "i2c_register_driver" },
	{ 0x43f81957, "clk_round_rate" },
	{ 0xe9be0e82, "_dev_info" },
	{ 0x8da46f14, "snd_soc_get_enum_double" },
	{ 0x4e3d4a9f, "device_property_read_u32_array" },
	{ 0x12a38747, "usleep_range" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x595347ee, "__devm_regmap_init_i2c" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x94a7058, "pm_wakeup_dev_event" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x460221ca, "devm_snd_soc_register_component" },
	{ 0x3d143a46, "snd_soc_component_write" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7caf0d09, "devm_clk_get" },
	{ 0x3cf5d3d6, "__dynamic_dev_dbg" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0xb3a89f58, "regcache_mark_dirty" },
	{ 0xd054aea6, "snd_soc_put_enum_double" },
	{ 0x49ff800d, "snd_soc_bytes_get" },
	{ 0x7b2348be, "snd_soc_bytes_put" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x72c6bf77, "snd_soc_jack_report" },
	{ 0x94ae3aa1, "snd_soc_component_read32" },
	{ 0x1009b70e, "devm_kmalloc" },
	{ 0x79f56144, "devm_request_threaded_irq" },
	{ 0x25633278, "regmap_write" },
	{ 0xa263355b, "regcache_sync" },
	{ 0x3cd4e346, "is_acpi_device_node" },
	{ 0xc68bbc33, "regcache_cache_only" },
	{ 0xccf03d43, "snd_soc_dapm_put_enum_double" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=snd-pcm,snd-soc-core";

MODULE_ALIAS("acpi*:193C9890:*");
MODULE_ALIAS("i2c:max98090");
MODULE_ALIAS("i2c:max98091");
MODULE_ALIAS("of:N*T*Cmaxim,max98090");
MODULE_ALIAS("of:N*T*Cmaxim,max98090C*");
MODULE_ALIAS("of:N*T*Cmaxim,max98091");
MODULE_ALIAS("of:N*T*Cmaxim,max98091C*");

MODULE_INFO(srcversion, "86BCA25ED4F3414B5F1E60B");

MODULE_INFO(suserelease, "SLE15-SP2");
