#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "no");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x787619be, "module_layout" },
	{ 0x6bf1b3f9, "kmalloc_caches" },
	{ 0x4e0a5f6e, "param_ops_int" },
	{ 0x9db33899, "snd_pcm_period_elapsed" },
	{ 0xc645dd32, "usb_init_urb" },
	{ 0xe0893399, "__rt_mutex_init" },
	{ 0xcc2c283f, "usb_kill_urb" },
	{ 0xc0fb93a9, "param_ops_bool" },
	{ 0x135de4ee, "snd_rawmidi_set_ops" },
	{ 0xfd740ce, "snd_card_disconnect" },
	{ 0xcceb8fe9, "snd_rawmidi_new" },
	{ 0x6bcb6e07, "__might_sleep" },
	{ 0x8d6f75c4, "rt_spin_lock" },
	{ 0x9ca7a460, "input_set_abs_params" },
	{ 0x6ced00d4, "rt_spin_unlock" },
	{ 0x3fc264e5, "input_event" },
	{ 0xfb52742b, "__init_waitqueue_head" },
	{ 0x73068432, "param_ops_charp" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x88ac139, "_dev_warn" },
	{ 0x8b2abad6, "usb_string" },
	{ 0xc5f7fabc, "usb_deregister" },
	{ 0x6aecc11, "snd_pcm_set_ops" },
	{ 0xd44f1f95, "usb_set_interface" },
	{ 0x47b40d2f, "snd_pcm_lib_get_vmalloc_page" },
	{ 0x5792f848, "strlcpy" },
	{ 0x6cc2df97, "snd_pcm_lib_ioctl" },
	{ 0xc7d567bb, "_dev_err" },
	{ 0x5d41b6c3, "snd_card_set_id" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xfd804a23, "__rt_spin_lock_init" },
	{ 0xb78cab8d, "usb_urb_ep_type_check" },
	{ 0x179ea0c6, "snd_card_new" },
	{ 0xd2188d0b, "usb_submit_urb" },
	{ 0x210570e1, "_snd_pcm_lib_alloc_vmalloc_buffer" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0xef1739e4, "usb_reset_device" },
	{ 0xb98a2261, "input_register_device" },
	{ 0x6be1104b, "usb_bulk_msg" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xeaf3d95e, "snd_ctl_new1" },
	{ 0xa4da6d94, "input_free_device" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3070ac7a, "kmem_cache_alloc_trace" },
	{ 0x3cf5d3d6, "__dynamic_dev_dbg" },
	{ 0xd9bea33d, "__wake_up" },
	{ 0xa5e3cd6, "prepare_to_wait_event" },
	{ 0x37a0cba, "kfree" },
	{ 0x2a1f2a65, "input_unregister_device" },
	{ 0xef5f763, "param_array_ops" },
	{ 0xfcef95d7, "usb_register_driver" },
	{ 0xf4d3491d, "finish_wait" },
	{ 0x82100228, "snd_card_free" },
	{ 0xe83e42b3, "snd_card_register" },
	{ 0xc544e784, "snd_pcm_limit_hw_rates" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc0306a7a, "snd_pcm_new" },
	{ 0xfb12be77, "snd_pcm_lib_free_vmalloc_buffer" },
	{ 0x367a4c50, "snd_ctl_add" },
	{ 0xee93dd06, "snd_rawmidi_transmit" },
	{ 0x810b2793, "usb_free_urb" },
	{ 0x6d070bb3, "snd_rawmidi_receive" },
	{ 0xae69f46f, "usb_alloc_urb" },
	{ 0xa44ce2e3, "input_allocate_device" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=snd-pcm,usbcore,snd-rawmidi,snd";

MODULE_ALIAS("usb:v17CCp1969d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1940d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp4711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp4712d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0815d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1978d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp1915d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0D8Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0839d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp041Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp2305d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCpBAFFd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp041Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17CCp0808d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "F759D6A3FBC8A3314E7EB77");

MODULE_INFO(suserelease, "SLE15-SP2");
